Bug Hunting Session
Bug 89611 - TOC: Undos lost after modifying index/table of contents
Summary: TOC: Undos lost after modifying index/table of contents
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.6 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: preBibisect, regression
: 119878 (view as bug list)
Depends on:
Blocks: TableofContents-Indexes Undo-Redo
  Show dependency treegraph
 
Reported: 2015-02-24 09:23 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-10-06 03:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-02-24 09:23:21 UTC
Steps:
1) Open a document with structure that is fine for the creation of a TOC
2) Add the TOC
3) Notice that the Undo is active
4) Right-click > Edit Index/Table
5) Goto column tab and set it to 2 columns and press OK
6) Notice that the Undo is now inactive

This is a regression as this worked correctly in 3.3.0.

Version: 4.5.0.0.alpha0+
Build ID: 4cf69df2f543b023f4ec3d4279c5ac11a2a819d9
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-02-21_03:46:34
Comment 1 A (Andy) 2015-02-24 19:11:57 UTC
Reproducible with LO 4.4.0.3, Win 8.1
Comment 2 Robinson Tryon (qubit) 2015-03-05 16:44:33 UTC
(In reply to Jay Philips from comment #0)
> This is a regression as this worked correctly in 3.3.0.

Might not be bibisectable, but will need to check to be sure
Whiteboard -> bibisectRequest
Comment 3 Matthew Francis 2015-03-19 16:19:18 UTC
Confirm that this works in 3.3.0 on OSX, but it's already broken in 3.4.6.2, so preBibisect
Comment 4 Gan 2015-10-26 19:44:07 UTC
Reproduced this in the latest release 5.0.2.2
Comment 5 blendergeek 2015-11-12 17:53:49 UTC
Reproducible with the latest nightly build of LibreOfficeDev 5.1.0.0.alpha1.
Comment 6 Robinson Tryon (qubit) 2015-12-14 05:40:02 UTC Comment hidden (obsolete)
Comment 7 Johnny_M 2016-07-27 20:35:04 UTC
The "undo" history is also lost on an update of any index (TOC, Illustration Index, Index of Tables, etc.), either via its context menu or Tools -> Update -> Update All.

The issue could lead to a data loss, if one wishes to return to a previous, unsaved document state.
Comment 8 Michael Stahl (CIB) 2017-02-07 14:59:48 UTC
i disagree that clearing the Undo history should be considered dataLoss
- by that logic, every crash would be a dataLoss too, and we'd need
a new keyword for the i-load-a-file-and-store-it-and-oops-my-text-is-gone
disasters.
Comment 9 Johnny_M 2017-02-25 18:19:54 UTC
(In reply to Michael Stahl from comment #8)
> i disagree that clearing the Undo history should be considered dataLoss
> - by that logic, every crash would be a dataLoss too, and we'd need
> a new keyword for the i-load-a-file-and-store-it-and-oops-my-text-is-gone
> disasters.

I don't now. One could argue that it's worse than a crash in terms of data loss. Because in the case of a crash there are recent backups which can be restored on the next start. While with this issue, one would need to purposely crash LO to get to those. A normal user would not know that - they would just consider the data lost. And the backups would be purged on the next regular LO shutdown.

But this might be another duplicate of the bug 38703.
Comment 10 QA Administrators 2018-04-22 02:31:51 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2018-10-05 15:07:21 UTC
*** Bug 119878 has been marked as a duplicate of this bug. ***
Comment 12 QA Administrators 2019-10-06 03:18:50 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug